Last Comment Bug 589248 - Push new MDN pages and forums to production
: Push new MDN pages and forums to production
Status: VERIFIED FIXED
08/24/2010
:
Product: Infrastructure & Operations
Classification: Other
Component: WebOps: Other (show other bugs)
: other
: All All
: -- normal (vote)
: ---
Assigned To: Jeremy Orem [:oremj]
: matthew zeier [:mrz]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-20 11:58 PDT by Jay Patel [:jay]
Modified: 2013-10-09 10:29 PDT (History)
7 users (show)
mzeier: needs‑downtime+
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---
Cab Review: ServiceNow Change Request (use flag)


Attachments

Description Jay Patel [:jay] 2010-08-20 11:58:53 PDT
The pages are done, webqa is wrapping up testing and we are set to launch next week on Tuesday 8/24.

Pending any last minute issues, we should be ready to push to production next week, so I wanted to make sure webdev and IT discussed any details before then.

From my understanding, here is what I think needs to happen:

1. Create a copy of the PHPBB db on a production db server (it would be nice to have this before launch so we can clean up test data and create a few threads that don't exist on staging)

2. Setup appropriate Deki/PHPBB account syncing scripts so that the registration and login works for both the forums and the docs editing.

3. Get the code from github, check it into SVN and tag it for MDN 0.9

4. Setup the appropriate web server rules to make sure the links/paths for the current Deki pages work and the new home for http://developer.mozilla.org points to the new MDN pages.

5. Get the necessary performance tweaks in place and other optimizations that need to be made.

I'm just throwing out the things that make sense to me... they could all be wrong. ;-)  I'll leave it up to Fred and someone from IT (Shyam or Oremj?) to sort this all out.

Let me know if you need any specific information from me or if any questions come up.   We really really need to get the new pages up so we can move on to the next release of MDN features, so please do what you can to help us hit the 8/24 launch.

Thanks!
- Jay
Comment 1 Jay Patel [:jay] 2010-08-20 12:00:16 PDT
I should have said https://developer.mozilla.org.  We need to get the site secured for launch... since we didn't have that option on staging.
Comment 2 Jay Patel [:jay] 2010-08-20 12:11:47 PDT
Fred started documenting steps here: http://etherpad.mozilla.com:9000/r6wwnOiDdC
Comment 3 Fred Wenzel [:wenzel] 2010-08-20 13:40:08 PDT
IT: Can you guys please take a minute and look at that etherpad to determine if anything needs elaboration or if there's anything in there that seems unfeasible? We want to make sure this works smoothly for you.
Comment 4 Jeremy Orem [:oremj] 2010-08-20 13:48:57 PDT
Everything seems fine to me.

Set up HTTPS (bug 582736), and either enforce it across the site or forward login URLs to HTTPs

Looks like we already enforce ssl across the side, but we should do that on the app side as well.
Comment 5 matthew zeier [:mrz] 2010-08-21 09:20:38 PDT
Bumping sev down, doesn't need to page since it's not due till 08/24.
Comment 6 Jay Patel [:jay] 2010-08-23 10:19:44 PDT
We're still on for launch tomorrow... so waiting to hear from someone on IT if they need anything.

Let us know what the timing will look like tomorrow so I can have webqa on standby to help test once the site is live.
Comment 7 Fred Wenzel [:wenzel] 2010-08-23 10:35:31 PDT
Oremj, let me know when you want to do this. Presumably it'd be helpful for me to be around. As usual, I am 9 hours ahead of you.
Comment 8 Jeremy Orem [:oremj] 2010-08-23 12:28:14 PDT
Is 4pm PST too late for you?
Comment 9 Fred Wenzel [:wenzel] 2010-08-23 12:33:49 PDT
yeah :-/ Do you have time in your morning by any chance?
Comment 10 Jeremy Orem [:oremj] 2010-08-23 12:44:26 PDT
We can do 10am if you that's alright with mrz and the rest of the MDN people.
Comment 11 Stephen Donner [:stephend] - PTO; back on 5/28 2010-08-23 12:48:50 PDT
(In reply to comment #10)
> We can do 10am if you that's alright with mrz and the rest of the MDN people.

10am WFM.
Comment 12 Jay Patel [:jay] 2010-08-23 14:25:18 PDT
10am WFM, I will be in my Engagement team meeting, but will be available if anything urgent comes up.

Let's to 10am tomorrow.   Thanks!
Comment 13 matthew zeier [:mrz] 2010-08-23 14:45:11 PDT
So at the height of traffic, you guys want to take downtime on MDN?
Comment 14 Jay Patel [:jay] 2010-08-23 14:47:07 PDT
mrz: will we need to take the deki down?  i thought that would not need to go down and that we would just need a few minutes of downtime to bring the new pages up and redirect traffit to https://developer.mozilla.org to the new pages?
Comment 15 Jay Patel [:jay] 2010-08-23 14:48:52 PDT
mrz:  since fred is the only webdev that worked on this, it is important he is around in case you guys need help.  not sure what a better time is to do it, but if you have ideas and fred is available, let us know.
Comment 16 matthew zeier [:mrz] 2010-08-23 14:49:49 PDT
Expect the best, plan for the worst.  I'd much rather do this during a normal
push window in the event something doesn't go as planned (and I haven't seen a
devmo push that has recently).
Comment 17 matthew zeier [:mrz] 2010-08-23 14:51:05 PDT
(In reply to comment #15)
> mrz:  since fred is the only webdev that worked on this, it is important he is
> around in case you guys need help.  not sure what a better time is to do it,
> but if you have ideas and fred is available, let us know.

Fred - best if you can work your schedule to match the downtime windows.
Comment 18 Jay Patel [:jay] 2010-08-23 14:58:29 PDT
(In reply to comment #16)
> Expect the best, plan for the worst.  I'd much rather do this during a normal
> push window in the event something doesn't go as planned (and I haven't seen a
> devmo push that has recently).

This push doesn't involve Mindtouch Deki directly, so I'm hoping we won't have whatever issues you've seen in the past.   It's mostly getting the new Django pages up and the forums working.
Comment 19 matthew zeier [:mrz] 2010-08-23 15:20:48 PDT
Regardless, until MDN has a history of successful pushes I want to do this during a normal push window.
Comment 20 Jay Patel [:jay] 2010-08-23 15:24:08 PDT
(In reply to comment #19)
> Regardless, until MDN has a history of successful pushes I want to do this
> during a normal push window.

Fine with me... what time is that?
Comment 21 matthew zeier [:mrz] 2010-08-23 15:27:22 PDT
Tuesday & Thursdays from 7-11pm.
Comment 22 Fred Wenzel [:wenzel] 2010-08-23 15:31:22 PDT
All right, I am fine with getting up for a middle-of-the-night push if all we have to do at the time is hook up production Apache to the intended final URLs. The general list of things to do is long (see comment 2) and might take a while (in spite of staging being set up that way already). So we might need to use a short-lived DNS name (devmonew.m.com?) to do that part of the work beforehand during the day, then remove that name when we hook up everything to devmo during the late push window. Does that sound like an option?
Comment 23 Jay Patel [:jay] 2010-08-23 15:36:47 PDT
mrz: Ok, that's what I thought.  I saw the SUMO release at 4pm, so was just making sure so I can plan my day.


fred: I assumed we could get most of the prep work done during the day, so if oremj is good with your suggestion, let's get the phpbb stuff and other configuration work done and tested early and we can flip the switch during the downtime window.

oremj:  what say you?

i propose we use devmo.mozilla.org as the temp domain if that works for everyone.
Comment 24 Jeremy Orem [:oremj] 2010-08-23 16:01:55 PDT
7pm works for me. I'll try to get as much done ahead of time as possible.
Comment 25 Jeremy Orem [:oremj] 2010-08-24 21:44:07 PDT
This should be all set.
Comment 26 Stephen Donner [:stephend] - PTO; back on 5/28 2010-08-24 21:56:38 PDT
We have a small, unanticipated user-flow issue that Jay will filed tomorrow:

When logged in to DekiWiki, and returning to the new http://developer.mozilla.org homepage, the logged-in state isn't reflected.

Other than that, we're looking pretty good; verified FIXED.  We'll continue to file issues as needed.

Note You need to log in before you can comment on or make changes to this bug.